AWL_CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
if [[ $SHELL =~ "zsh" ]]; then
	AWL_CURRENT_DIR=$(dirname $0:A)
fi

export PATH=$PATH:$AWL_CURRENT_DIR/assets/bin

js.run() { node -e "$=require('${AWL_CURRENT_DIR}/index.js'); $@" ;}

# Deprecated version
dev.ts.run() { node -e "$=require('${AWL_CURRENT_DIR}/index.js'); $@" ;}

for file in $AWL_CURRENT_DIR/assets/shell/*.sh; do
  # echo "$file"
  source "$file"
done
