const SwiftTool = require('./SwiftTool');

module.exports = class Linter extends SwiftTool {
   constructor(projectDirPath) {
      super();
      this.projectDirPath = projectDirPath;
   }

   autocorrect(shouldPrintProgress = true) {
      const symbol = this.libraryInstance.get('lint_autocorrect');
      return this.FFI.ForeignFunction(symbol, 'int', ['pointer', 'bool'])(this.instance, shouldPrintProgress);
   }
};
