const Environment = require('../Core/Environment');
const execute = require('../Core/Functions').execute;
const Process = require('child_process');

module.exports = class XcodeApp {
   constructor() {
      this.env = new Environment();
   }
   getCurrentTabInfo() {
      const scriptFile = this.env.assetsDirPath + '/AppleScript/XcodeApp-ActiveDocument.js';
      const result = Process.execSync(`osascript -l JavaScript "${scriptFile}"`);
      const json = JSON.parse(result);
      return json;
   }
};
