const SwiftTool = require('../Core/SwiftTool');

module.exports = class XCWorkflow extends SwiftTool {
   toHEX(expression) {
      let result = expression;
      if (expression.includes('UIColor')) {
         const rxR = /red:\s+([\d\.]+)/gim;
         const rxG = /green:\s+([\d\.]+)/gim;
         const rxB = /blue:\s+([\d\.]+)/gim;
         const r = parseFloat(rxR.exec(expression)[1]);
         const g = parseFloat(rxG.exec(expression)[1]);
         const b = parseFloat(rxB.exec(expression)[1]);
         result = this.rgbToHex(Math.round(r * 255), Math.round(g * 255), Math.round(b * 255));
         console.log(result);
      }
      return result;
   }

   rgbToHex(r, g, b) {
      const result = ((1 << 24) + (r << 16) + (g << 8) + b).toString(16).slice(1);
      return result.toUpperCase();
   }
};
