sp.init.exe() { swift package init --type executable ;}
sp.init.lib() { swift package init --type library ;}
sp.genXcode() { swift package generate-xcodeproj ;}
sp.update() { swift package update ;}
sp.clean() { swift package clean ;}
sp.reset() { swift package reset ;}
sp.describe() { swift package describe ;}
sp.dump() { swift package dump-package ;}
sp.edit() { swift package edit $@ ;}
sp.unedit() { swift package unedit $@ ;}

sp.build.debug() { swift build --configuration debug $@ ;}
sp.build.release() { swift build --configuration release $@ ;}

sp.rebuild.debug() { swift package clean && swift build --configuration debug $@ ;}
alias sp.rebuild.release='swift package clean && swift build --configuration release $@'

sp.test() { swift test $@ ;}
# sp.build() { swift build -Xswiftc "-target" -Xswiftc "x86_64-apple-macosx10.12" $@ ;}
# sp.test() { swift test -Xswiftc "-target" -Xswiftc "x86_64-apple-macosx10.12" $@ ;}
sp.run() { swift run $@ ;}

lmate() { js.run "new $.TextMate().openFile('$@')" ;}

# Network
curl.JSONFormatted() {
	if [ "$#" -eq 0 ]; then
		curl
	else
		curl $@ | python -m json.tool
	fi
}

lint.autocorrect.file() {
	SCRIPT_INPUT_FILE_COUNT=1 SCRIPT_INPUT_FILE_0="$1" swiftlint autocorrect --use-script-input-files
}

alias wl.changes="mc-git changes"
alias wl.status="mc-git status"
