// See: http://jamesknelson.com/re-exporting-es6-modules/
module.exports = {
   Sync: require('./JavaScript/Automation/Sync'),

   AbstractProject: require('./JavaScript/Core/AbstractProject'),
   Environment: require('./JavaScript/Core/Environment'),
   FileSystem: require('./JavaScript/Core/FileSystem'),
   Functions: require('./JavaScript/Core/Functions'),
   Linter: require('./JavaScript/Core/Linter'),
   SwiftTool: require('./JavaScript/Core/SwiftTool'),

   GitArchive: require('./JavaScript/GitMain/GitArchive'),
   GitBase: require('./JavaScript/GitMain/GitBase'),

   Safari: require('./JavaScript/System/Safari'),
   TextMate: require('./JavaScript/System/TextMate'),
   System: require('./JavaScript/System/System'),

   BitBucket: require('./JavaScript/Services/BitBucket'),

   XCWorkflow: require('./JavaScript/Xcode/XCWorkflow'),

   Alfred: require('./JavaScript/System/Alfred'),
};
